import { BaseApiTemplateService } from "../shared/base-api-template-service.model";
import { HttpClient } from "@angular/common/http";
import { ApiVisa } from '../shared';
import { ApiResponseModel } from '../shared/api-response.model';
import { Observable } from 'rxjs';
export declare class WmsPutawayService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    insertToPutawayProcessingQueue(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    slotContainer(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getByCriteriaPost(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
